### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.session

# Class SummaryData

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.services.session.SummaryData

All Implemented Interfaces:
  `SummaryDataInterface`, `Serializable`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public class SummaryData extends UnicastRemoteObject implements SummaryDataInterface
Contains session summary information. Each session context can be bound to a user context. This information contains the unique identifier for the session context, as well as a summary of the user information, such as the user context name, the user's email addresses, and the user's global profile.

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List`
  `getEmailAddresses()`
  Get the email addresses for the person bound to this session.
  `long`
  `getLoginTime()`
  Get the timestamp when the user was authenticated.
  `ProfileInterface`
  `getProfile()`
  Get the global profile information for the person bound to this session.
  `String`
  `getSessionContextUniqueId()`
  Get the session context's unique id.
  `String`
  `getUniqueId()`
  Get the user's unique identifier.
  `String`
  `getUsername()`
  Get the name of the user context for this session.

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `equals, getRef, hashCode, toString, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getProfile

    public ProfileInterface getProfile() throws RemoteException
    Get the global profile information for the person bound to this session.
    Specified by:
      `getProfile` in interface `SummaryDataInterface`
    Returns:
      `ProfileInterface` the global profile
    Throws:
      `RemoteException` - if a network error occurs.

  - ### getUsername

    public String getUsername() throws RemoteException
    Get the name of the user context for this session.
    Specified by:
      `getUsername` in interface `SummaryDataInterface`
    Returns:
      `String` the user context name
    Throws:
      `RemoteException` - if a network error occurs.

  - ### getEmailAddresses

    public List getEmailAddresses() throws RemoteException
    Get the email addresses for the person bound to this session.
    Specified by:
      `getEmailAddresses` in interface `SummaryDataInterface`
    Returns:
      `List` a list of Strings that represent the email addresses.
    Throws:
      `RemoteException` - if a network error occurs.

  - ### getLoginTime

    public long getLoginTime() throws RemoteException
    Get the timestamp when the user was authenticated.
    Specified by:
      `getLoginTime` in interface `SummaryDataInterface`
    Returns:
      A long representing the login date/time.
    Throws:
      `RemoteException` - In the event of remote object failure.

  - ### getUniqueId

    public String getUniqueId() throws RemoteException
    Get the user's unique identifier. Since names aren't always unique, this is necessary to uniquely locate a user context from the user service.
    Specified by:
      `getUniqueId` in interface `SummaryDataInterface`
    Returns:
      A String representing the user's unique identifier.
    Throws:
      `RemoteException` - In the event of remote object failure.

  - ### getSessionContextUniqueId

    public String getSessionContextUniqueId() throws RemoteException
    Get the session context's unique id.
    Specified by:
      `getSessionContextUniqueId` in interface `SummaryDataInterface`
    Returns:
      A String representing the session context's unique identifier.
    Throws:
      `RemoteException` - In the event of remote object failure.